Page MenuHomePhabricator

VisualDiffs: No way to identify empty nodes (space or blank, such as <ref />) added by extension tags
Closed, ResolvedPublic1 Estimated Story Points

Description

Problem

Extension tags with no content don't have any visual representation or information in the sidebar.

Steps to reproduce

  1. Go to https://www.mediawiki.org/w/index.php?title=Project:Sandbox&oldid=2455494
  2. Copy them, and paste them into a new page being edited by VisualEditor
  3. Alternatively, just insert those extension tags and add an empty space in each one of them
  4. Press alt + shift + v (trigger diff viewer)
  5. Click visual

Expected

Some indication that there were nodes added to the text, either inline or in the sidebar.

Actual

Green blocks indicating added content with no way to differentiate them from each other.

Extra notes: While most tags were in fact empty and don't have a "visual" representation to speak of, the empty reference tag was invalid, and didn't display properly, while the score extension was empty until saved. It then returned an error.

See https://www.mediawiki.org/wiki/Topic:Tphpb41ld3eky7yf for more information and examples

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2017, 7:18 PM
Deskana renamed this task from No way identify empty nodes (space or blank, such as <ref />) added by extension tags to VisualDiffs: No way identify empty nodes (space or blank, such as <ref />) added by extension tags.Jun 6 2017, 7:28 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Elitre renamed this task from VisualDiffs: No way identify empty nodes (space or blank, such as <ref />) added by extension tags to VisualDiffs: No way to identify empty nodes (space or blank, such as <ref />) added by extension tags.Jun 6 2017, 7:46 PM

Change 357726 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Give extensions a fallback icon when invisible

https://gerrit.wikimedia.org/r/357726

Change 357728 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/wikihiero@master] Use 'hiero' icon when invisible

https://gerrit.wikimedia.org/r/357728

Change 357730 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Math@master] Specify iconWhenInvisible for math/chem nodes

https://gerrit.wikimedia.org/r/357730

Change 357731 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Score@master] Specify iconWhenInvisible for score node

https://gerrit.wikimedia.org/r/357731

Change 357726 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Give extensions a fallback icon when invisible

https://gerrit.wikimedia.org/r/357726

Change 357730 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Specify iconWhenInvisible for math/chem nodes

https://gerrit.wikimedia.org/r/357730

Change 357731 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Specify iconWhenInvisible for score node

https://gerrit.wikimedia.org/r/357731

Change 357728 merged by jenkins-bot:
[mediawiki/extensions/wikihiero@master] Use 'hiero' icon when invisible

https://gerrit.wikimedia.org/r/357728

Jdforrester-WMF closed this task as Resolved.Jun 8 2017, 1:15 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 8 2017, 1:15 AM